"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
function useClickOutside(ref, handler) {
    (0, react_1.useEffect)(() => {
        const listener = (event) => {
            if (!ref.current || ref.current.contains(event.target)) {
                return;
            }
            if (handler) {
                handler(event);
            }
        };
        document.addEventListener('mousedown', listener);
        document.addEventListener('touchstart', listener);
        return () => {
            document.removeEventListener('mousedown', listener);
            document.removeEventListener('touchstart', listener);
        };
    }, [ref, handler]);
}
exports.default = useClickOutside;
